package com.your_domain.your_product.employee.dao;

import java.util.ArrayList;

import com.jdbaccess.dao.DataAccessObject;
import com.jdbaccess.exception.ApplicationException;
import com.your_domain.your_product.employee.transfer.EmpAddr;

/**
 * persistence layer: dao interface of entity emp_addr 
 */
public interface EmpAddrDao extends DataAccessObject {
  public void dropTable() throws ApplicationException;
  public void createTable() throws ApplicationException;
  public EmpAddr insert(EmpAddr dao) throws ApplicationException;
  public ArrayList insert(ArrayList daos) throws ApplicationException;
  public void deleteByEmpId(Long empId) throws ApplicationException;
  public void delete(ArrayList daos) throws ApplicationException;
  public Long deleteAll() throws ApplicationException;
}
