package com.your_domain.your_product.employee.transfer;

import com.jdbaccess.transfer.TransferObject;

/**
 * transfer object: EmpAddr 
 * n:m relation between employee and address
 */
public class EmpAddr extends TransferObject {
  static final long serialVersionUID = EmpAddr.class.hashCode();
  private static String ENTITY_NAME = "emp_addr";
  public Long empId;
  public Long addrId;
  public Integer orderId;
  
  public EmpAddr() {
    this.entity = ENTITY_NAME;
  }

  public EmpAddr(Long empId, Long addrId, Integer orderId) {
    this();
    this.empId = empId;
    this.addrId = addrId;
    this.orderId = orderId;
  }

  /**
   * @return Returns the addrId.
   */
  public Long getAddrId() {
    return addrId;
  }

  /**
   * @param addrId The addrId to set.
   */
  public void setAddrId(Long addrId) {
    this.addrId = addrId;
  }

  /**
   * @return Returns the empId.
   */
  public Long getEmpId() {
    return empId;
  }

  /**
   * @param empId The empId to set.
   */
  public void setEmpId(Long empId) {
    this.empId = empId;
  }

  /**
   * @return Returns the orderId.
   */
  public Integer getOrderId() {
    return orderId;
  }

  /**
   * @param orderId The orderId to set.
   */
  public void setOrderId(Integer orderId) {
    this.orderId = orderId;
  }
  
  /**
   * @return Returns the entityName
   */
  public static String getEntityName() {
    return ENTITY_NAME;
  }
  
}
